commit: b047be9d2ec0f55138f75d7eb950707a9f28f0dd
Author: Julian Ospald <hasufell <AT> gentoo <DOT> org>
AuthorDate: Sat Oct 24 11:59:34 2015 +0000
Commit: Michael Palimaka <kensington <AT> gentoo <DOT> org>
CommitDate: Mon Oct 26 17:20:00 2015 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b047be9d
kde4-functions.eclass: add missing '|| die' on pushd/popd
eclass/kde4-functions.eclass | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/eclass/kde4-functions.eclass b/eclass/kde4-functions.eclass
index 133fd26..d2fd060 100644
--- a/eclass/kde4-functions.eclass
+++ b/eclass/kde4-functions.eclass
@@ -351,7 +351,7 @@ _enable_selected_linguas_dir() {
[[ -d ${dir} ]] || die "linguas dir \"${dir}\" does not exist"
comment_all_add_subdirectory "${dir}"
- pushd "${dir}" > /dev/null
+ pushd "${dir}" > /dev/null || die
# fix all various crazy sr@Latn variations
# this part is only ease for ebuilds, so there wont be any die when this
@@ -390,7 +390,7 @@ _enable_selected_linguas_dir() {
done
[[ -n ${linguas} ]] && echo ">>> Enabling languages: ${linguas}"
- popd > /dev/null
+ popd > /dev/null || die
}
# @FUNCTION: get_kde_version